# Generated from sunspot_solr-jts-2.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sunspot_solr-jts

Name: rubygem-%{gem_name}
Version: 2.2.0
Release: 1%{?dist}
Summary: Bundled Solr distribution with JTS for Sunspot
License: MIT
URL: https://github.com/absolventa/sunspot_solr-jts
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 1.1
# BuildRequires: rubygem(rspec) < 2
BuildArch: noarch

%description
Sunspot::Solr provides a bundled Solr distribution for use with Sunspot.
Typical deployment environments will require more configuration, but this
distribution is well suited to development and testing.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/sunspot-installer
%{_bindir}/sunspot-solr
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/solr
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/sunspot_solr-jts.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 2.2.0-1
- Initial package
